X don't start in Lucid

Bug #505095 reported by Petar Nedialkov on 2010-01-09
50
This bug affects 9 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
New
Undecided
Unassigned
xserver-xorg-video-ati (Ubuntu)
High
Alberto Milone

Bug Description

Binary package hint: xserver-xorg-video-ati

When I write startx in console, X don't start. When I remove xserver-xorg-video-ati this problem disappear, but i haven't video driver. When XServer won't start, display this error :

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e887b]
1: /usr/bin/X (0x8048000+0x61a1d) [0x80a9a1d]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb7767410]
3: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb724a000+0x53e42) [0xb729de42]
4: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb724a000+0x5433b) [0xb729e33b]
5: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb724a000+0x4354a) [0xb728d54a]
6: /usr/lib/xorg/modules/drivers/radeon_drv.so (0xb724a000+0xce643) [0xb7318643]
7: /usr/bin/X (AddScreen+0x198) [0x806ce88]
8: /usr/bin/X (InitOutput+0x820) [0x80b9ce0]
9: /usr/bin/X (0x8048000+0x1eb8b) [0x8066b8b]
10: /lib/tls/i686/cmov/libc.so.6 (__libc_start_main+0xe6) [0xb74a4bd6]
11: /usr/bin/X (0x8048000+0x1e931) [0x8066931]
Segmentation fault at address 0x1

Caught signal 11 (Segmentation fault). Server aborting

Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

 ddxSigGiveUp: Closing log

Benny Källström (benny-k) wrote :
Download full text (35.9 KiB)

i am having this problem on my laptop. I can only run ubuntu in safe grafic mode.

My xorg.0.log

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.7.3.902 (1.7.4 RC 2)
Release Date: 2009-12-26
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server i686 Ubuntu
Current Operating System: Linux bennys-laptop 2.6.32-9-generic #13-Ubuntu SMP Thu Dec 17 17:02:51 UTC 2009 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-9-generic root=UUID=d46c8d9d-eee0-4487-bf84-27f421ae3bff ro quiet splash
Build Date: 08 January 2010 08:52:43PM
xorg-server 2:1.7.3.902-1ubuntu2 (buildd@)
Current version of pixman: 0.16.2
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: [ 0.000000] (--) probed, [ 0.000013] (**) from config file, [ 0.000022] (==) default setting,
 [ 0.000030] (++) from command line, [ 0.000038] (!!) notice, [ 0.000046] (II) informational,
 [ 0.000054] (WW) warning, [ 0.000062] (EE) error, [ 0.000070] (NI) not implemented, [ 0.000079] (??) unknown.
[ 0.000141] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan 9 13:27:02 2010
[ 0.013848] (II) Loader magic: 0x81eee80
[ 0.013888] (II) Module ABI versions:
 X.Org ANSI C Emulation: 0.4
 X.Org Video Driver: 6.0
 X.Org XInput driver : 7.0
 X.Org Server Extension : 2.0
[ 0.013921] (++) using VT number 7

[ 0.112988] (--) PCI:*(0:1:0:0) 1002:4c66:0e11:0860 ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] rev 1, Mem @ 0x98000000/134217728, 0x90400000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
[ 0.114252] (==) Using default built-in configuration (30 lines)
[ 0.114280] (==) --- Start of built-in configuration ---
 Section "Device"
  Identifier "Builtin Default ati Device 0"
  Driver "ati"
 EndSection
 Section "Screen"
  Identifier "Builtin Default ati Screen 0"
  Device "Builtin Default ati Device 0"
 EndSection
 Section "Device"
  Identifier "Builtin Default vesa Device 0"
  Driver "vesa"
 EndSection
 Section "Screen"
  Identifier "Builtin Default vesa Screen 0"
  Device "Builtin Default vesa Device 0"
 EndSection
 Section "Device"
  Identifier "Builtin Default fbdev Device 0"
  Driver "fbdev"
 EndSection
 Section "Screen"
  Identifier "Builtin Default fbdev Screen 0"
  Device "Builtin Default fbdev Device 0"
 EndSection
 Section "ServerLayout"
  Identifier "Builtin Default Layout"
  Screen "Builtin Default ati Screen 0"
  Screen "Builtin Default vesa Screen 0"
  Screen "Builtin Default fbdev Screen 0"
 EndSection
[ 0.114378] (==) --- End of built-in configuration ---
[ 0.114496] (==) ServerLayout "Builtin Default Layout"
[ 0.114510] (**) |-->Screen "Builtin Default ati Screen 0" (0)
[ 0.114521] (**) | |-->Monitor "<default monitor>"
[ 0.114830] (**) ...

Alberto Milone (albertomilone) wrote :

Thanks for reporting the problem.

The libdrm API changed and the ati driver has to be updated so that it matches the API. A new package will be available soon.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati - 1:6.12.99+git20091125.0061c4db-0ubuntu2

---------------
xserver-xorg-video-ati (1:6.12.99+git20091125.0061c4db-0ubuntu2) lucid; urgency=low

  * debian/patches/101_new_drm_api.patch:
    - [4b05c47a] radeon: update to new libdrm API (LP: #505095).
 -- Alberto Milone <email address hidden> Sat, 09 Jan 2010 18:42:12 +0100

Changed in xserver-xorg-video-ati (Ubuntu):
status: In Progress → Fix Released
Petar Nedialkov (shaker) wrote :

Thanks ! When to expect patch in repositories ?

description: updated
Alberto Milone (albertomilone) wrote :

I uploaded the package with the patch. You will have to wait for the package to build though.

SpmP (scarletpimpernal) wrote :

Wow, it was pretty cool watching the files hit the repository!
 Unfortunatley this didnt solve the problem for me, but created some new errors, heres the tail end of the X log:

[ 0.099440] (WW) xf86CloseConsole: KDSETMODE failed: Bad file descriptor
[ 0.099479] (WW) xf86CloseConsole: VT_GETMODE failed: Bad file descriptor
[ 0.099501] (WW) xf86OpenConsole: VT_GETSTATE failed: Bad file descriptor
 ddxSigGiveUp: Closing log

That is with the latest [blah]ubuntu2 ati and radeon driver.
 I have been having the failsafe graphics mode problem on and off for a while now, was sometimes fixed by restarting, but not after upgrading this morning.

Amazing turnaround on this tho!

I am booting with the following kernel parameters to solve noe desktop backgrounds etc:
radeon.agpmode=-1 radeon.modeset=1

Hope this helps. Any other ideas?

SpmP (scarletpimpernal) wrote :

sorry, my bad.
 while fiddling with the xorg.conf I stuffed a few things up.

So problem fixed for me here, thank you.

Johan Kiviniemi (ion) wrote :

Shouldn’t libdrm’s SONAME have been bumped on ABI change to prevent this kind of breakage?

Jaromir Obr (jaromir-obr) wrote :

I can confirm that the fix helped me. I got segmentation fault before fix (there were message such as "(WW) xf86CloseConsole: KDSETMODE failed: Bad file descriptor" in log) and I was able to start X windows in low resolution only.
I'm using Mobility Radeon HD 3400 and radeon driver.

Julien Olivier (julo) wrote :

I have exactly the same problems (no X except in safe mode, KDSETMODE failed, VT_GETMODE failed and VT_GETSTATE failed) but with the intel driver (Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)) on an updated Lucid.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Fix Released → New
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers